JDP Science Tools

cancel
Showing results for 
Search instead for 
Did you mean: 

SQLite Timestamp example not working on NI Linux RT target

Hello,

 

The "Timestamp" (~\LabVIEW xxxx\examples\drjdpowell\SQLite LabVIEW\SQLite Timestamps.vi) example that ships with SQLite package (I have the latest version available via VIPM) doesn't work on NI Linux RT. It runs just fine on Windows.

 

After some digging, I saw that the latest SQLite 3 version available via opkg update is 3.22

 

Capture d’écran 2021-01-19 103243.png

 

It turns out that to run properly the Timestamp example vi uses features (Tgen) that require SQLite 3.31 at least.

And the version of the sqlite3.dll that comes with SQLite package is 3.32, hence why it runs on Windows.

 

So I got the source code from SQLite.org for v3.34

 

Capture d’écran 2021-01-19 104424.png

 

copied it to my Linux RT target and follow the instruction given here by jtagg🙏 - to compile and install sqlite3.34

 

After doing that the Timestamp example vi works just fine on NI Linux RT

 

😌


We have two ears and one mouth so that we can listen twice as much as we speak.

Epictetus

Antoine Chalons

Message 1 of 2
(124 Views)

If you want NI to update the SQLite version available via opkg, vote here.


We have two ears and one mouth so that we can listen twice as much as we speak.

Epictetus

Antoine Chalons

0 Kudos
Message 2 of 2
(111 Views)